¿Cómo instalar una impresora láser Brother HL2270dw?

¿Cómo puedo instalar mi impresora láser Brother HL2270dw? No hay controladores disponibles en el Centro de software.

  1. Abre un terminal: Ctrl + Alt + T
  2. Descargue el script de instalación del controlador:

    wget http://download.brother.com/welcome/dlf006893/linux-brprinter-installer-2.0.0-1.gz 
  3. Descomprimirlo:

     gunzip linux-brprinter-installer-2.0.0-1.gz 
  4. Ejecutarlo como root:

     sudo bash linux-brprinter-installer-2.0.0-1 
  5. Ingrese HL2270-DW como “nombre de modelo”, luego y para continuar

  6. Cuando se le pregunta “¿Especificarás el DeviceURI?” elija “No” para la conexión USB o “Sí” para la conexión de red.

Sé que muchas personas han tenido problemas importantes para hacer que esta impresora funcione tanto con ubuntu como con mint, así que pensé que lo transmitiría porque es bastante indoloro. Encontré el script adjunto (siguiendo las instrucciones) en un foro de ubuntu en algún lugar (olvidé exactamente dónde) que me funcionó tanto en Ubuntu 12.04 como en Mint Cinnamon 13 (versiones de 64 bits). siempre que la impresora ya esté en su red (instalé la mía a través de mi partición de Windows 7), debería funcionar. simplemente copie y pegue el ejemplo de código a continuación en un documento de texto vacío y guárdelo como PrinterInstall.sh. Luego ejecuta la aplicación desde el terminal con:

 sudo ./PrinterInstall 

Puede indicarle que necesita bsdtar para ejecutar el script, solo instálelo con:

 sudo apt-get install bsdtar 

y luego ejecute ./PrinterInstall nuevo.

El terminal le preguntará dónde está su directorio init.d: ​​simplemente marque las opciones en su buscador de archivos para confirmar una u otra.

A continuación, encienda la impresora y ejecute lo siguiente desde el terminal:

 system-config-printer 

Cuando se abra la GUI de configuración, haga clic con el botón derecho en la impresora y seleccione ‘propiedades’. Bajo la URI del dispositivo, haga clic en ‘cambiar’ -> impresora de red -> seleccione la primera opción de hermano -> aplicar

¡Eso es!

código de script a continuación:


 #!/bin/bash # Brother HL-2270DW printer install tested on arch and ubuntu 12.04 # https://bbs.archlinux.org/viewtopic.php?id=109570 # https://bugs.gentoo.org/show_bug.cgi?id=285166#c12 # http://github.com/willejos/bash [[ $UID -ne 0 ]] && echo "Must run as root" && exit 1 which bsdtar > /dev/null if [ $? == 1 ]; then echo "you need to install bsdtar before running this script" exit 1; fi which perl > /dev/null if [ $? == 1 ]; then echo "you need to install perl before running this script" exit 1; fi echo -e "\nMake sure cups is running before proceeding...\n" read -p "Hit any button to continue." -n 1 echo -e "\n\nWhere's your init script directory?" echo -e "1. /etc/init.d/\n2. /etc/rc.d/" read -p "(Select 1 or 2): " INIT_DIR while [[ $INIT_DIR != 1 && $INIT_DIR != 2 ]]; do read -p "Where's your init script directory? (choose 1 or 2): " INIT_DIR done START_DIR=$(pwd) mkdir br_tmp && cd br_tmp wget http://www.brother.com/pub/bsc/linux/dlf/hl2270dwlpr-2.1.0-1.i386.rpm wget http://www.brother.com/pub/bsc/linux/dlf/cupswrapperHL2270DW-2.0.4-2.i386.rpm if [[ ! -f hl2270dwlpr-2.1.0-1.i386.rpm || ! -f cupswrapperHL2270DW-2.0.4-2.i386.rpm ]]; then echo -e "One or both files not found: \n hl2270dwlpr-2.1.0-1.i386.rpm \n cupswrapperHL2270DW-2.0.4-2.i386.rpm \n\n Was there a problem with the download?" exit 1; fi # extract and check directories exist bsdtar -xf hl2270dwlpr-2.1.0-1.i386.rpm bsdtar -xf cupswrapperHL2270DW-2.0.4-2.i386.rpm HL_DIR=""$START_DIR"/br_tmp/usr/local/Brother/Printer/HL2270DW/inf/" CUPS_DIR=""$START_DIR"/br_tmp/usr/local/Brother/Printer/HL2270DW/cupswrapper/" if [[ ! -d "$HL_DIR" || ! -d "$CUPS_DIR" ]]; then echo "rpm extraction failed" exit 1 fi # in-place edit files cd "$HL_DIR" perl -pi -e 's/printcap.local/printcap/g' setupPrintcap2 if [ "$INIT_DIR" == "2" ]; then cd "$CUPS_DIR" perl -pi -e 's/init.d/rc.d/g' cupswrapperHL2270DW-2.0.4 fi # copy files to system and install cupswrapper cd "$START_DIR"/br_tmp/ cp -ri usr/* /usr/ cp -ri var/* /var/ cd ../ && rm -rf br_tmp echo -e "If I hang here, be patient....\n" /usr/local/Brother/Printer/HL2270DW/cupswrapper/cupswrapperHL2270DW-2.0.4 || exit 1 echo -e "\nNext steps: " echo "Make sure printer shows up in cups config @ http://127.0.0.1:631" echo "Edit /etc/cups/printers.conf and change the DeviceURI from 'usb:xxxxx' to 'file:///dev/usb/lp0′ (or usb/lp1 or whatever exists, no quotes)." echo -e "Restart cups\n" 

Tengo una publicación en el blog sobre cómo instalar la impresora para la impresión inalámbrica wifi en Ubuntu 12.04 64 bit. Tenga en cuenta que mi versión es específica y solo probada para la versión de 64 bits de Ubuntu. Brother no incluye controladores de 64 bits para los controladores HL-2270DW, pero he parcheado los controladores para que funcionen con la versión de 64 bits. Los controladores parcheados dan acceso a TODAS las características de la impresora. El enlace es http://chadchenault.blogspot.com/2012/05/brother-hl-2270dw-printer-driver.html

Pasos:

1. Descargue los controladores parcheados para trabajar con Ubuntu de 64 bits desde el enlace anterior. También puede parchearlos utilizando la línea de comandos y las instrucciones del sitio web de Brother.
2. Abra una ventana de terminal “ctrl + alt + t”
3. Cambie al directorio donde se descargan los archivos.
4. Ingrese los siguientes dos comandos desde la ventana del terminal.

 sudo dpkg -i --force-all hl2270dwlpr-2.1.0-1a.i386.deb sudo dpkg -i --force-all cupswrapperHL2270DW-2.0.4-2a.i386.deb 

La impresión USB debería funcionar ahora. Si desea configurar la impresión wifi o ethernet, deberá configurar CUPS. Tengo instrucciones con fotos en mi blog.

La respuesta de Eric Carvalho funcionó bien, con un calificador: la ubicación de descarga no me funcionó. Parece que tal vez el hermano reorganizó sus descargas. Mi primer paso fue descargar manualmente, comenzando desde el sitio de soporte de Brother:

– vaya a brother.com (para mí, esto redirige a brother-usa.com) – haga clic en Asistencia – ingrese HL-2270DW en el número de modelo, luego haga clic en Buscar – en Descargas y controladores, haga clic en ‘descargas’ desde nuestro centro de soluciones ‘–eleccione el sistema operativo (linux) y la versión (deb) – haga clic en la herramienta de instalación del controlador – acepte el acuerdo de licencia

Este es un archivo pequeño, por lo que no tomará un tiempo notable para descargar.

Ahora descomprima y ejecute el script como lo indicó el Sr. Carvalho. Funcionó perfectamente para mí.

¿Está esperando que specify the Device URI? , y le ofrece elegir entre las 11 formas en que sabe que se puede conectar una impresora. Piensa que querrás la opción 11 (A): Auto. (usb://dev/usblp0) 11 (A): Auto. (usb://dev/usblp0) , por lo que ha completado el campo y está esperando que presione Entrar para aceptar la opción 11 , o para especificar una opción propia, y presione Entrar . Si su impresora está conectada a través de USB, 11 (A): Auto. (usb://dev/usblp0) 11 (A): Auto. (usb://dev/usblp0) es la opción que desea.

Aquí están mis notas de instalación en 14.04 (64 bits). No sé que todos estos pasos son necesarios. Lo instalé como una impresora de red.

He ejecutado un script de Brother: linux-brprinter-installer-2.0.0-1

en el archivo descargado: linux-brprinter-installer-2.0.0-1.gz de support.brother.com. Esto parece funcionar correctamente e instalar varios paquetes.

Hay dos archivos más en su sitio web que he descargado:

  • Cazadora de platosHL2270DW-2.0.4-2a.i386.deb

  • hl2270dwlpr-2.1.0-1a.i386.deb

Usé synaptic para ver si se han instalado en el script anterior.

cupswrapperHL2270DW-2.0.4-2 se muestra como instalado.

Usé el centro de software para instalar la versión “a” y los paquetes hl2270 * a.i386.deb.

Lo instalé a pesar de la advertencia del centro de software de que era “de mala calidad”.

Reinicie la computadora y encienda / apague la impresora.

Configuraciones del sistema usadas> Impresoras> Agregar impresora> Impresora de red

Al hacer clic en el botón Buscar (con el host en blanco) se levantan dos Brother HL-2270DW, uno tiene una dirección IP.

Para esta, la descripción dice la impresora de red AppSocket / JetDirect a través de DNS-SD

El otro dice impresora de red LPD con Host BRW008092BA5199 y Queue Binary_P1

Estoy tratando el uno con una dirección IP. Ahora, bajo los controladores de impresora, tengo HL-2270DW para CUPS que no tenía antes.

Seleccionando esto. Página de prueba funcionó.

Estas notas funcionan con Kubuntu y Linux Mint 17.1.

Obtenga los paquetes brgenml1lpr-3.1.0-1.i386.deb y brgenml1cupswrapper-3.1.0-1.i386.deb en http://support.brother.com/g/b/downloadlist.aspx?c=us&lang=en&prod = hl2270dw_all & os = 128

 sudo apt-get install apparmor-profiles lib32z1 sudo dpkg -i ~/packages/brother_printer/brgenml1lpr-3.1.0-1.i386.deb sudo dpkg -i ~/packages/brother_printer/brgenml1cupswrapper-3.1.0-1.i386.deb 

ahora use la ventana de configuración de la impresora KDE o Mint / Gnome para eliminar la impresora USB instalada automáticamente que no existe, luego instale la HL-2270DW con el controlador BrGenML1.

La impresora debe ser detectada automáticamente. Si no, intente utilizar el URI que se indica a continuación.

configurar dúplex Dúplex No se puede imprimir en ambos lados de la página, volteando en el borde largo

URI: lpd: // (dirección IP de la impresora) / binary_p1

Intenté las instrucciones al principio de esta publicación, pero cuando llegué al final, es decir, cuando se le preguntó “¿Especificará el DeviceURI?” elija “No” para la conexión USB o “Sí” para la conexión de red. Me dieron una lista de once URI para elegir, ninguna de las cuales tenía sentido para mí como usuarios neofitas de Ubuntu. Vea abajo:

 Will you specify the Device URI? [Y/n] ->Y 0: socket 1: http 2: ipp 3: https 4: ipps 5: lpd 6: ipp14 7: hp 8: hpfax 9: smb 10 (I): Specify IP address. 11 (A): Auto. (usb://dev/usblp0) select the number of destination Device URI. ->11 

Parece que estas instrucciones terminaron a mitad de la secuencia y, por lo tanto, no puedo continuar.

Bob Thomson Ottawa Canadá

    Intereting Posts